#!/bin/bash

pushd src
javac TestGen.java
java TestGen
popd

javac supreme_ak.java
for i in tests/??
do
    cp $i supreme.in
    time java supreme_ak
    echo $i
    mv supreme.out $i.a
done

./checkcompile.sh

for i in tests/??
do
    ./check $i $i.a $i.a
done
